<div class="container">
  <div class="row d-flex justify-content-center align-items-center">
    <mat-card class="mt-5 col-lg-6 col-md-8 col-sm-10 col-12">
      <mat-card-header class="justify-content-center mb-4">
        <!-- <div mat-card-avatar class="example-header-image"></div> -->
        <mat-card-title>Login</mat-card-title>
        <!-- <mat-card-subtitle>Login with redhat portal</mat-card-subtitle> -->
      </mat-card-header>
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <div *ngIf="credentialsError && !hasChanged">
          <p class="text-danger">{{credentialsError}}</p>
        </div>
        <mat-card-content>

          <mat-form-field class="w-100">
            <mat-label>Username or Email</mat-label>
            <input matInput placeholder="Enter username or email" formControlName="username">
            <mat-error *ngIf="username && username?.invalid && (username?.dirty ||username?.touched)"
              [hidden]="!lf.username.errors.required">This field is required</mat-error>
          </mat-form-field>
          <mat-form-field class="w-100">
            <mat-label>Password</mat-label>
            <input type="password" matInput placeholder="*********" formControlName="password">
            <mat-error *ngIf="!lf.password?.valid && (lf.password?.dirty ||lf.password?.touched)"
              [hidden]="!lf.password.errors.required">This field is required</mat-error>
          </mat-form-field>
        </mat-card-content>
        <mat-card-actions class="text-center">
          <button mat-raised-button color="primary" [disabled]="loading" class="custom-button position-relative">
            <span>Login</span>
            <div *ngIf="loading" class="d-flex justify-content-center align-items-center">
              <mat-progress-spinner diameter="20" mode="indeterminate"
                class="position-absolute top-50 start-50 translate-middle"></mat-progress-spinner>
            </div>
          </button>
        </mat-card-actions>
        <p class="text-end">Create an account <button type="button" routerLink="/register" mat-raised-button
            color="accent">Register</button></p>
      </form>
    </mat-card>
  </div>
</div>
